Download it now!
Bug 66917 - LibreLogo: hexadecimal arguments
Summary: LibreLogo: hexadecimal arguments
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.0.0.1 rc
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:4.2.0 target:4.1.1
Keywords:
Depends on:
Blocks:
 
Reported: 2013-07-15 10:48 UTC by László Németh
Modified: 2013-12-15 23:20 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
test file (10.88 KB, application/vnd.oasis.opendocument.text)
2013-07-15 10:48 UTC, László Németh
Details

Note You need to log in before you can comment on or make changes to this bug.
Description László Németh 2013-07-15 10:48:52 UTC
Created attachment 82435 [details]
test file

hexadecimal numbers don't work as function arguments. Test file attached with the following program:

TO test hexa
PRINT hexa
END

test 0xFFFF
Comment 1 Commit Notification 2013-07-15 11:09:11 UTC
Laszlo Nemeth committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6fb6817e30f746d8d2100cc606a3cfbb1cbea86a

librelogo: hexa arguments fdo#66917 and cropped SVG saving



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 2 Commit Notification 2013-07-16 14:49:15 UTC
Laszlo Nemeth committed a patch related to this issue.
It has been pushed to "libreoffice-4-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8a8f7fb852c7ce2713b107d8d9a33450199ae86b&h=libreoffice-4-1

librelogo: hexa arguments fdo#66917 and cropped SVG saving


It will be available in LibreOffice 4.1.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Julien Nabet 2013-08-29 19:59:05 UTC
László: so could this tracker be considered as fixed?
Comment 4 László Németh 2013-08-30 06:33:49 UTC
Julien: Yes, it is fixed, I will close it. Thanks for your question!